Package org.apache.sling.api.resource

# Class QuerySyntaxException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.sling.api.SlingException
org.apache.sling.api.resource.QuerySyntaxException

All Implemented Interfaces:
  `Serializable`

public class QuerySyntaxException extends SlingException
The `QuerySyntaxException` is thrown by the `ResourceResolver.findResources(String, String)` and `ResourceResolver.queryResources(String, String)` methods if the query syntax is wrong or the requested query language is not available.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`QuerySyntaxException(String message, String query, String language)`
`QuerySyntaxException(String message, String query, String language, Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getLanguage()`
`String`
`getQuery()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### QuerySyntaxException

public QuerySyntaxException(String message, String query, String language)

### QuerySyntaxException

public QuerySyntaxException(String message, String query, String language, Throwable cause)

## Method Details

### getQuery

public String getQuery()

### getLanguage

public String getLanguage()